epic

Epic.Parser

# Documentation

newtype HappyAbsSyn

Constructors

HappyAbsSyn HappyAny |

type HappyAny = Any

happyIn6 :: [Decl] -> HappyAbsSyn

happyOut6 :: HappyAbsSyn -> [Decl]

happyIn7 :: Type -> HappyAbsSyn

happyOut7 :: HappyAbsSyn -> Type

happyIn8 :: Decl -> HappyAbsSyn

happyOut8 :: HappyAbsSyn -> Decl

happyIn9 :: [CGFlag] -> HappyAbsSyn

happyOut9 :: HappyAbsSyn -> [CGFlag]

happyIn10 :: CGFlag -> HappyAbsSyn

happyOut10 :: HappyAbsSyn -> CGFlag

happyIn11 :: Maybe String -> HappyAbsSyn

happyOut11 :: HappyAbsSyn -> Maybe String

happyIn12 :: [(Name, Type)] -> HappyAbsSyn

happyOut12 :: HappyAbsSyn -> [(Name, Type)]

happyIn13 :: Expr -> HappyAbsSyn

happyOut13 :: HappyAbsSyn -> Expr

happyIn14 :: Allocator -> HappyAbsSyn

happyOut14 :: HappyAbsSyn -> Allocator

happyIn15 :: Expr -> HappyAbsSyn

happyOut15 :: HappyAbsSyn -> Expr

happyIn16 :: [CaseAlt] -> HappyAbsSyn

happyOut16 :: HappyAbsSyn -> [CaseAlt]

happyIn17 :: CaseAlt -> HappyAbsSyn

happyOut17 :: HappyAbsSyn -> CaseAlt

happyIn18 :: Expr -> HappyAbsSyn

happyOut18 :: HappyAbsSyn -> Expr

happyIn19 :: [Expr] -> HappyAbsSyn

happyOut19 :: HappyAbsSyn -> [Expr]

happyIn20 :: [(Expr, Type)] -> HappyAbsSyn

happyOut20 :: HappyAbsSyn -> [(Expr, Type)]

happyIn21 :: Const -> HappyAbsSyn

happyOut21 :: HappyAbsSyn -> Const

happyIn22 :: LineNumber -> HappyAbsSyn

happyOut22 :: HappyAbsSyn -> LineNumber

happyIn23 :: String -> HappyAbsSyn

happyOut23 :: HappyAbsSyn -> String

happyInTok :: Token -> HappyAbsSyn

happyOutTok :: HappyAbsSyn -> Token

happyActOffsets :: HappyAddr

happyGotoOffsets :: HappyAddr

happyDefActions :: HappyAddr

happyCheck :: HappyAddr

happyTable :: HappyAddr

happyThen :: P a -> (a -> P b) -> P b

happyReturn :: a -> P a

happyReturn1 :: a -> P a

happyError' :: Token -> P a

mkBind :: Name -> [Type] -> Type -> [Name] -> Expr -> Maybe String -> [CGFlag] -> Decl

mkExtern :: Name -> [Type] -> Type -> [Name] -> Decl

parse :: String -> FilePath -> Result [Decl]

parseExpr :: String -> Result Expr

parseDecl :: String -> Result Decl

parseFile :: FilePath -> IO (Result [Decl])

data Happy_IntList

Constructors

HappyCons Int# Happy_IntList |

data HappyStk a

Constructors

HappyStk a (HappyStk a) |

data HappyAddr

Constructors

HappyA# Addr# |

notHappyAtAll :: a

happyTcHack :: Int# -> a -> a

happyDontSeq :: a -> b -> b

happyDoSeq :: a -> b -> b